---
title: HTTP headers
slug: Web/HTTP/Headers
tags:
  - HTTP
  - HTTP Header
  - Headers
  - Networking
  - Overview
  - Reference
---
<div>{{HTTPSidebar}}</div>

<p><span class="seoSummary"><strong>HTTP headers</strong> let the client and the server pass additional information with an HTTP request or response. An HTTP header consists of its case-insensitive name followed by a colon (<code>:</code>), then by its value.</span> {{Glossary("Whitespace")}} before the value is ignored.</p>

<p>Custom proprietary headers have historically been used with an <code>X-</code> prefix, but this convention was deprecated in June 2012 because of the inconveniences it caused when nonstandard fields became standard in <a href="https://tools.ietf.org/html/rfc6648">RFC 6648</a>; others are listed in an <a class="external" href="http://www.iana.org/assignments/message-headers/perm-headers.html">IANA registry</a>, whose original content was defined in <a class="external" href="http://tools.ietf.org/html/rfc4229">RFC 4229</a>. IANA also maintains a <a class="external" href="http://www.iana.org/assignments/message-headers/prov-headers.html">registry of proposed new HTTP headers</a>.</p>

<p>Headers can be grouped according to their contexts:</p>

<ul>
 <li>{{Glossary("General header", "General headers")}} apply to both requests and responses, but with no relation to the data transmitted in the body.</li>
 <li>{{Glossary("Request header", "Request headers")}} contain more information about the resource to be fetched, or about the client requesting the resource.</li>
 <li>{{Glossary("Response header", "Response headers")}} hold additional information about the response, like its location or about the server providing it.</li>
 <li>{{Glossary("Entity header", "Entity headers")}} contain information about the body of the resource, like its <a href="/en-US/docs/Web/HTTP/Headers/Content-Length">content length</a> or <a href="/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types">MIME type</a>.</li>
</ul>

<p>Headers can also be grouped according to how {{Glossary("Proxy_server", "proxies")}} handle them:</p>

<ul>
 <li>{{ httpheader("Connection") }}</li>
 <li>{{ httpheader("Keep-Alive") }}</li>
 <li>{{ httpheader("Proxy-Authenticate") }}</li>
 <li>{{ httpheader("Proxy-Authorization") }}</li>
 <li>{{ httpheader("TE") }}</li>
 <li>{{ httpheader("Trailer") }}</li>
 <li>{{ httpheader("Transfer-Encoding") }}</li>
 <li>{{ httpheader("Upgrade") }} (see also <a href="/en-US/docs/Web/HTTP/Protocol_upgrade_mechanism">Protocol upgrade mechanism</a>).</li>
</ul>

<dl>
 <dt id="e2e">End-to-end headers</dt>
 <dd>These headers <em>must</em> be transmitted to the final recipient of the message: the server for a request, or the client for a response. Intermediate proxies must retransmit these headers unmodified and caches must store them.</dd>
 <dt id="hbh">Hop-by-hop headers</dt>
 <dd>These headers are meaningful only for a single transport-level connection, and <em>must not</em> be retransmitted by proxies or cached. Note that only hop-by-hop headers may be set using the {{httpheader("Connection")}} general header.</dd>
</dl>

<h2 id="Authentication">Authentication</h2>

<dl>
 <dt>{{HTTPHeader("WWW-Authenticate")}}</dt>
 <dd>Defines the authentication method that should be used to access a resource.</dd>
 <dt>{{HTTPHeader("Authorization")}}</dt>
 <dd>Contains the credentials to authenticate a user-agent with a server.</dd>
 <dt>{{HTTPHeader("Proxy-Authenticate")}}</dt>
 <dd>Defines the authentication method that should be used to access a resource behind a proxy server.</dd>
 <dt>{{HTTPHeader("Proxy-Authorization")}}</dt>
 <dd>Contains the credentials to authenticate a user agent with a proxy server.</dd>
</dl>

<h2 id="Caching">Caching</h2>

<dl>
 <dt>{{HTTPHeader("Age")}}</dt>
 <dd>The time, in seconds, that the object has been in a proxy cache.</dd>
 <dt>{{HTTPHeader("Cache-Control")}}</dt>
 <dd>Directives for caching mechanisms in both requests and responses.</dd>
 <dt>{{HTTPHeader("Clear-Site-Data")}}</dt>
 <dd>Clears browsing data (e.g. cookies, storage, cache) associated with the requesting website.</dd>
 <dt>{{HTTPHeader("Expires")}}</dt>
 <dd>The date/time after which the response is considered stale.</dd>
 <dt>{{HTTPHeader("Pragma")}}</dt>
 <dd>Implementation-specific header that may have various effects anywhere along the request-response chain. Used for backwards compatibility with HTTP/1.0 caches where the <code>Cache-Control</code> header is not yet present.</dd>
 <dt>{{HTTPHeader("Warning")}}</dt>
 <dd>General warning information about possible problems.</dd>
</dl>

<h2 id="Client_hints">Client hints</h2>

<p>HTTP {{Glossary("Client_hints", "Client hints")}} are a work in progress. Actual documentation can be found on the <a href="https://httpwg.org/http-extensions/client-hints.html">website of the HTTP working group</a>.</p>

<dl>
 <dt>{{HTTPHeader("Accept-CH")}} {{experimental_inline}}</dt>
 <dd>Servers can advertise support for Client Hints using the <code>Accept-CH</code> header field or an equivalent HTML <code>&lt;meta&gt;</code> element with <code>http-equiv</code> attribute (<a href="https://httpwg.org/http-extensions/client-hints.html#HTML5"><cite>[HTML5]</cite></a>).</dd>
 <dt>{{HTTPHeader("Accept-CH-Lifetime")}} {{experimental_inline}}</dt>
 <dd>Servers can ask the client to remember the set of Client Hints that the server supports for a specified period of time, to enable delivery of Client Hints on subsequent requests to the server’s origin (<a href="https://httpwg.org/http-extensions/client-hints.html#RFC6454"><cite>[RFC6454]</cite></a>).</dd>
 <dt>{{HTTPHeader("Early-Data")}} {{experimental_inline}}</dt>
 <dd>Indicates that the request has been conveyed in early data.</dd>
 <dt>{{HTTPHeader("Device-Memory")}} {{experimental_inline}}</dt>
 <dd>Technically a part of Device Memory API, this header represents an approximate amount of RAM client has.</dd>
 <dt>{{HTTPHeader("Save-Data")}} {{experimental_inline}}</dt>
 <dd>A boolean that indicates the user agent's preference for reduced data usage.</dd>
 <dt>{{HTTPHeader("Viewport-Width")}} {{experimental_inline}}</dt>
 <dd>
 <div id="rfc.section.3.3.p.1">
 <p>A number that indicates the layout viewport width in CSS pixels. The provided pixel value is a number rounded to the smallest following integer (i.e. ceiling value).</p>
 </div>

 <div id="rfc.section.3.3.p.2">
 <p>If <code>Viewport-Width</code> occurs in a message more than once, the last value overrides all previous occurrences.</p>
 </div>
 </dd>
 <dt>{{HTTPHeader("Width")}} {{experimental_inline}}</dt>
 <dd>
 <div id="rfc.section.3.2.p.1">
 <p>The <code>Width</code> request header field is a number that indicates the desired resource width in physical pixels (i.e. intrinsic size of an image). The provided pixel value is a number rounded to the smallest following integer (i.e. ceiling value).</p>
 </div>

 <div id="rfc.section.3.2.p.2">
 <p>If the desired resource width is not known at the time of the request or the resource does not have a display width, the <code>Width</code> header field can be omitted. If <code>Width</code> occurs in a message more than once, the last value overrides all previous occurrences</p>
 </div>
 </dd>
</dl>

<h2 id="Conditionals">Conditionals</h2>

<dl>
 <dt>{{HTTPHeader("Last-Modified")}}</dt>
 <dd>The last modification date of the resource, used to compare several versions of the same resource. It is less accurate than {{HTTPHeader("ETag")}}, but easier to calculate in some environments. Conditional requests using {{HTTPHeader("If-Modified-Since")}} and {{HTTPHeader("If-Unmodified-Since")}} use this value to change the behavior of the request.</dd>
 <dt>{{HTTPHeader("ETag")}}</dt>
 <dd>A unique string identifying the version of the resource. Conditional requests using {{HTTPHeader("If-Match")}} and {{HTTPHeader("If-None-Match")}} use this value to change the behavior of the request.</dd>
 <dt>{{HTTPHeader("If-Match")}}</dt>
 <dd>Makes the request conditional, and applies the method only if the stored resource matches one of the given ETags.</dd>
 <dt>{{HTTPHeader("If-None-Match")}}</dt>
 <dd>Makes the request conditional, and applies the method only if the stored resource <em>doesn't</em> match any of the given ETags. This is used to update caches (for safe requests), or to prevent to upload a new resource when one already exists.</dd>
 <dt>{{HTTPHeader("If-Modified-Since")}}</dt>
 <dd>Makes the request conditional, and expects the entity to be transmitted only if it has been modified after the given date. This is used to transmit data only when the cache is out of date.</dd>
 <dt>{{HTTPHeader("If-Unmodified-Since")}}</dt>
 <dd>Makes the request conditional, and expects the entity to be transmitted only if it has not been modified after the given date. This ensures the coherence of a new fragment of a specific range with previous ones, or to implement an optimistic concurrency control system when modifying existing documents.</dd>
 <dt>{{HTTPHeader("Vary")}}</dt>
 <dd>Determines how to match request headers to decide whether a cached response can be used rather than requesting a fresh one from the origin server.</dd>
</dl>

<h2 id="Connection_management">Connection management</h2>

<dl>
 <dt>{{HTTPHeader("Connection")}}</dt>
 <dd>Controls whether the network connection stays open after the current transaction finishes.</dd>
 <dt>{{HTTPHeader("Keep-Alive")}}</dt>
 <dd>Controls how long a persistent connection should stay open.</dd>
</dl>

<h2 id="Content_negotiation"><a href="/en-US/docs/Web/HTTP/Content_negotiation">Content negotiation</a></h2>

<dl>
 <dt>{{HTTPHeader("Accept")}}</dt>
 <dd>Informs the server about the {{Glossary("MIME_type", "types")}} of data that can be sent back.</dd>
 <dt>{{HTTPHeader("Accept-Charset")}}</dt>
 <dd>Which {{Glossary("character encodings")}} the client understands.</dd>
 <dt>{{HTTPHeader("Accept-Encoding")}}</dt>
 <dd>The encoding algorithm, usually a <a href="/en-US/docs/Web/HTTP/Compression">compression algorithm</a>, that can be used on the resource sent back.</dd>
 <dt>{{HTTPHeader("Accept-Language")}}</dt>
 <dd>Informs the server about the human language the server is expected to send back. This is a hint and is not necessarily under the full control of the user: the server should always pay attention not to override an explicit user choice (like selecting a language from a dropdown).</dd>
</dl>

<h2 id="Controls">Controls</h2>

<dl>
 <dt>{{HTTPHeader("Expect")}}</dt>
 <dd>Indicates expectations that need to be fulfilled by the server to properly handle the request.</dd>
 <dt>{{HTTPHeader("Max-Forwards")}}</dt>
</dl>

<h2 id="Cookies">Cookies</h2>

<dl>
 <dt>{{HTTPHeader("Cookie")}}</dt>
 <dd>Contains stored <a href="/en-US/docs/Web/HTTP/Cookies">HTTP cookies</a> previously sent by the server with the {{HTTPHeader("Set-Cookie")}} header.</dd>
 <dt>{{HTTPHeader("Set-Cookie")}}</dt>
 <dd>Send cookies from the server to the user-agent.</dd>
 <dt>{{HTTPHeader("Cookie2")}} {{obsolete_inline}}</dt>
 <dd>Contains an HTTP cookie previously sent by the server with the {{HTTPHeader("Set-Cookie2")}} header, but has been <strong>obsoleted</strong>. Use {{HTTPHeader("Cookie")}} instead.</dd>
 <dt>{{HTTPHeader("Set-Cookie2")}} {{obsolete_inline}}</dt>
 <dd>Sends cookies from the server to the user-agent, but has been <strong>obsoleted</strong>. Use {{HTTPHeader("Set-Cookie")}} instead.</dd>
</dl>

<h2 id="CORS">CORS</h2>

<p><em>Learn more about CORS <a href="CORS">here</a>.</em></p>

<dl>
 <dt>{{HTTPHeader("Access-Control-Allow-Origin")}}</dt>
 <dd>Indicates whether the response can be shared.</dd>
 <dt>{{HTTPHeader("Access-Control-Allow-Credentials")}}</dt>
 <dd>Indicates whether the response to the request can be exposed when the credentials flag is true.</dd>
 <dt>{{HTTPHeader("Access-Control-Allow-Headers")}}</dt>
 <dd>Used in response to a {{Glossary("Preflight_request", "preflight request")}} to indicate which HTTP headers can be used when making the actual request.</dd>
 <dt>{{HTTPHeader("Access-Control-Allow-Methods")}}</dt>
 <dd>Specifies the methods allowed when accessing the resource in response to a preflight request.</dd>
 <dt>{{HTTPHeader("Access-Control-Expose-Headers")}}</dt>
 <dd>Indicates which headers can be exposed as part of the response by listing their names.</dd>
 <dt>{{HTTPHeader("Access-Control-Max-Age")}}</dt>
 <dd>Indicates how long the results of a preflight request can be cached.</dd>
 <dt>{{HTTPHeader("Access-Control-Request-Headers")}}</dt>
 <dd>Used when issuing a preflight request to let the server know which HTTP headers will be used when the actual request is made.</dd>
 <dt>{{HTTPHeader("Access-Control-Request-Method")}}</dt>
 <dd>Used when issuing a preflight request to let the server know which <a href="/en-US/docs/Web/HTTP/Methods">HTTP method</a> will be used when the actual request is made.</dd>
 <dt>{{HTTPHeader("Origin")}}</dt>
 <dd>Indicates where a fetch originates from.</dd>
 <dt>{{HTTPHeader("Timing-Allow-Origin")}}</dt>
 <dd>Specifies origins that are allowed to see values of attributes retrieved via features of the <a href="/en-US/docs/Web/API/Resource_Timing_API">Resource Timing API</a>, which would otherwise be reported as zero due to cross-origin restrictions.</dd>
</dl>

<h2 id="Do_Not_Track">Do Not Track</h2>

<dl>
 <dt>{{HTTPHeader("DNT")}}</dt>
 <dd>Expresses the user's tracking preference.</dd>
 <dt>{{HTTPHeader("Tk")}}</dt>
 <dd>Indicates the tracking status of the corresponding response.</dd>
</dl>

<h2 id="Downloads">Downloads</h2>

<dl>
 <dt>{{HTTPHeader("Content-Disposition")}}</dt>
 <dd>Indicates if the resource transmitted should be displayed inline (default behavior without the header), or if it should be handled like a download and the browser should present a “Save As” dialog.</dd>
</dl>

<h2 id="Message_body_information">Message body information</h2>

<dl>
 <dt>{{HTTPHeader("Content-Length")}}</dt>
 <dd>The size of the resource, in decimal number of bytes.</dd>
 <dt>{{HTTPHeader("Content-Type")}}</dt>
 <dd>Indicates the media type of the resource.</dd>
 <dt>{{HTTPHeader("Content-Encoding")}}</dt>
 <dd>Used to specify the compression algorithm.</dd>
 <dt>{{HTTPHeader("Content-Language")}}</dt>
 <dd>Describes the human language(s) intended for the audience, so that it allows a user to differentiate according to the users' own preferred language.</dd>
 <dt>{{HTTPHeader("Content-Location")}}</dt>
 <dd>Indicates an alternate location for the returned data.</dd>
</dl>

<h2 id="Proxies">Proxies</h2>

<dl>
 <dt>{{HTTPHeader("Forwarded")}}</dt>
 <dd>Contains information from the client-facing side of proxy servers that is altered or lost when a proxy is involved in the path of the request.</dd>
 <dt>{{HTTPHeader("X-Forwarded-For")}} {{non-standard_inline}}</dt>
 <dd>Identifies the originating IP addresses of a client connecting to a web server through an HTTP proxy or a load balancer.</dd>
 <dt>{{HTTPHeader("X-Forwarded-Host")}} {{non-standard_inline}}</dt>
 <dd>Identifies the original host requested that a client used to connect to your proxy or load balancer.</dd>
 <dt>{{HTTPHeader("X-Forwarded-Proto")}} {{non-standard_inline}}</dt>
 <dd>Identifies the protocol (HTTP or HTTPS) that a client used to connect to your proxy or load balancer.</dd>
 <dt>{{HTTPHeader("Via")}}</dt>
 <dd>Added by proxies, both forward and reverse proxies, and can appear in the request headers and the response headers.</dd>
</dl>

<h2 id="Redirects">Redirects</h2>

<dl>
 <dt>{{HTTPHeader("Location")}}</dt>
 <dd>Indicates the URL to redirect a page to.</dd>
</dl>

<h2 id="Request_context">Request context</h2>

<dl>
 <dt>{{HTTPHeader("From")}}</dt>
 <dd>Contains an Internet email address for a human user who controls the requesting user agent.</dd>
 <dt>{{HTTPHeader("Host")}}</dt>
 <dd>Specifies the domain name of the server (for virtual hosting), and (optionally) the TCP port number on which the server is listening.</dd>
 <dt>{{HTTPHeader("Referer")}}</dt>
 <dd>The address of the previous web page from which a link to the currently requested page was followed.</dd>
 <dt>{{HTTPHeader("Referrer-Policy")}}</dt>
 <dd>Governs which referrer information sent in the {{HTTPHeader("Referer")}} header should be included with requests made.</dd>
 <dt>{{HTTPHeader("User-Agent")}}</dt>
 <dd>Contains a characteristic string that allows the network protocol peers to identify the application type, operating system, software vendor or software version of the requesting software user agent. See also the <a href="/en-US/docs/Web/HTTP/Headers/User-Agent/Firefox">Firefox user agent string reference</a>.</dd>
</dl>

<h2 id="Response_context">Response context</h2>

<dl>
 <dt>{{HTTPHeader("Allow")}}</dt>
 <dd>Lists the set of HTTP request methods supported by a resource.</dd>
 <dt>{{HTTPHeader("Server")}}</dt>
 <dd>Contains information about the software used by the origin server to handle the request.</dd>
</dl>

<h2 id="Range_requests">Range requests</h2>

<dl>
 <dt>{{HTTPHeader("Accept-Ranges")}}</dt>
 <dd>Indicates if the server supports range requests, and if so in which unit the range can be expressed.</dd>
 <dt>{{HTTPHeader("Range")}}</dt>
 <dd>Indicates the part of a document that the server should return.</dd>
 <dt>{{HTTPHeader("If-Range")}}</dt>
 <dd>Creates a conditional range request that is only fulfilled if the given etag or date matches the remote resource. Used to prevent downloading two ranges from incompatible version of the resource.</dd>
 <dt>{{HTTPHeader("Content-Range")}}</dt>
 <dd>Indicates where in a full body message a partial message belongs.</dd>
</dl>

<h2 id="Security">Security</h2>

<dl>
 <dt>{{HTTPHeader("Cross-Origin-Embedder-Policy")}} ({{Glossary("COEP")}})</dt>
 <dd>Allows a server to declare an embedder policy for a given document.</dd>
</dl>

<dl>
 <dt>{{HTTPHeader("Cross-Origin-Opener-Policy")}} ({{Glossary("COOP")}})</dt>
 <dd>Prevents other domains from opening/controlling a window.</dd>
</dl>

<dl>
 <dt>{{HTTPHeader("Cross-Origin-Resource-Policy")}} ({{Glossary("CORP")}})</dt>
 <dd>Prevents other domains from reading the response of the resources to which this header is applied.</dd>
 <dt>{{HTTPHeader("Content-Security-Policy")}} ({{Glossary("CSP")}})</dt>
 <dd>Controls resources the user agent is allowed to load for a given page.</dd>
 <dt>{{HTTPHeader("Content-Security-Policy-Report-Only")}}</dt>
 <dd>Allows web developers to experiment with policies by monitoring, but not enforcing, their effects. These violation reports consist of {{Glossary("JSON")}} documents sent via an HTTP <code>POST</code> request to the specified URI.</dd>
 <dt>{{HTTPHeader("Expect-CT")}}</dt>
 <dd>Allows sites to opt in to reporting and/or enforcement of Certificate Transparency requirements, which prevents the use of misissued certificates for that site from going unnoticed. When a site enables the Expect-CT header, they are requesting that Chrome check that any certificate for that site appears in public CT logs.</dd>
 <dt>{{HTTPHeader("Feature-Policy")}}</dt>
 <dd>Provides a mechanism to allow and deny the use of browser features in its own frame, and in iframes that it embeds.</dd>
</dl>

<dl>
 <dt>{{HTTPHeader("Origin-Isolation")}} {{experimental_inline}}</dt>
 <dd>Provides a mechanism to allow web applications to isolate their origins.</dd>
</dl>

<dl>
 <dt>{{HTTPHeader("Strict-Transport-Security")}} ({{Glossary("HSTS")}})</dt>
 <dd>Force communication using HTTPS instead of HTTP.</dd>
 <dt>{{HTTPHeader("Upgrade-Insecure-Requests")}}</dt>
 <dd>Sends a signal to the server expressing the client’s preference for an encrypted and authenticated response, and that it can successfully handle the {{CSP("upgrade-insecure-requests")}} directive.</dd>
 <dt>{{HTTPHeader("X-Content-Type-Options")}}</dt>
 <dd>Disables MIME sniffing and forces browser to use the type given in {{HTTPHeader("Content-Type")}}.</dd>
 <dt>{{HTTPHeader("X-Download-Options")}}</dt>
 <dd>The <code><a href="https://docs.microsoft.com/en-us/previous-versions/windows/internet-explorer/ie-developer/compatibility/jj542450(v=vs.85)?#the-noopen-directive">X-Download-Options</a></code> HTTP header indicates that the browser (Internet Explorer) should not display the option to "Open" a file that has been downloaded from an application, to prevent phishing attacks as the file otherwise would gain access to execute in the context of the application. (Note: related <a href="https://developer.microsoft.com/en-us/microsoft-edge/platform/issues/18488178/">MS Edge bug</a>).</dd>
 <dt>{{HTTPHeader("X-Frame-Options")}} (XFO)</dt>
 <dd>Indicates whether a browser should be allowed to render a page in a {{HTMLElement("frame")}}, {{HTMLElement("iframe")}}, {{HTMLElement("embed")}} or {{HTMLElement("object")}}.</dd>
 <dt>{{HTTPHeader("X-Permitted-Cross-Domain-Policies")}}</dt>
 <dd>Specifies if a cross-domain policy file (<code>crossdomain.xml</code>) is allowed. The file may define a policy to grant clients, such as Adobe's Flash Player (now obsolete), Adobe Acrobat, Microsoft Silverlight (now obsolete), or Apache Flex, permission to handle data across domains that would otherwise be restricted due to the <a href="/en-US/docs/Web/Security/Same-origin_policy">Same-Origin Policy</a>. See the <a href="https://www.adobe.com/devnet/articles/crossdomain_policy_file_spec.html">Cross-domain Policy File Specification</a> for more information.</dd>
 <dt>{{HTTPHeader("X-Powered-By")}}</dt>
 <dd>May be set by hosting environments or other frameworks and contains information about them while not providing any usefulness to the application or its visitors. Unset this header to avoid exposing potential vulnerabilities.</dd>
 <dt>{{HTTPHeader("X-XSS-Protection")}}</dt>
 <dd>Enables cross-site scripting filtering.</dd>
</dl>

<h3 id="HTTP_Public_Key_Pinning_GlossaryHPKP">HTTP Public Key Pinning ({{Glossary("HPKP")}})</h3>

<p>HTTP Public Key Pinning has been deprecated and removed in favor of Certificate Transparency and {{HTTPHeader("Expect-CT")}}.</p>

<dl>
 <dt>{{HTTPHeader("Public-Key-Pins")}}</dt>
 <dd>Associates a specific cryptographic public key with a certain web server to decrease the risk of {{Glossary("MITM")}} attacks with forged certificates.</dd>
 <dt>{{HTTPHeader("Public-Key-Pins-Report-Only")}}</dt>
 <dd>Sends reports to the report-uri specified in the header and does still allow clients to connect to the server even if the pinning is violated.</dd>
</dl>

<h3 id="Fetch_metadata_request_headers">Fetch metadata request headers</h3>

<dl>
 <dt>{{HTTPHeader("Sec-Fetch-Site")}}</dt>
 <dd>It is a request header that indicates the relationship between a request initiator's origin and its target's origin. It is a Structured Header whose value is a token with possible values <code>cross-site</code>, <code>same-origin</code>, <code>same-site</code>, and <code>none</code>.</dd>
 <dt>{{HTTPHeader("Sec-Fetch-Mode")}}</dt>
 <dd>It is a request header that indicates the request's mode to a server. It is a Structured Header whose value is a token with possible values <code>cors</code>, <code>navigate</code>, <code>nested-navigate</code>, <code>no-cors</code>, <code>same-origin</code>, and <code>websocket</code>.</dd>
 <dt>{{HTTPHeader("Sec-Fetch-User")}}</dt>
 <dd>It is a request header that indicates whether or not a navigation request was triggered by user activation. It is a Structured Header whose value is a boolean so possible values are <code>?0</code> for false and <code>?1</code> for true.</dd>
 <dt>{{HTTPHeader("Sec-Fetch-Dest")}}</dt>
 <dd>It is a request header that indicates the request's destination to a server. It is a Structured Header whose value is a token with possible values <code>audio</code>, <code>audioworklet</code>, <code>document</code>, <code>embed</code>, <code>empty</code>, <code>font</code>, <code>image</code>, <code>manifest</code>, <code>object</code>, <code>paintworklet</code>, <code>report</code>, <code>script</code>, <code>serviceworker</code>, <code>sharedworker</code>, <code>style</code>, <code>track</code>, <code>video</code>, <code>worker</code>, <code>xslt</code>, and <code>nested-document</code>.</dd>
</dl>

<h2 id="Server-sent_events">Server-sent events</h2>

<dl>
 <dt>{{HTTPHeader("Last-Event-ID")}}</dt>
 <dd>...</dd>
 <dt>{{HTTPHeader("NEL")}} {{experimental_inline}}</dt>
 <dd>Defines a mechanism that enables developers to declare a network error reporting policy.</dd>
 <dt>{{HTTPHeader("Ping-From")}}</dt>
 <dd>...</dd>
 <dt>{{HTTPHeader("Ping-To")}}</dt>
 <dd>...</dd>
 <dt>{{HTTPHeader("Report-To")}}</dt>
 <dd>Used to specify a server endpoint for the browser to send warning and error reports to.</dd>
</dl>

<h2 id="Transfer_coding">Transfer coding</h2>

<dl>
 <dt>{{HTTPHeader("Transfer-Encoding")}}</dt>
 <dd>Specifies the form of encoding used to safely transfer the entity to the user.</dd>
 <dt>{{HTTPHeader("TE")}}</dt>
 <dd>Specifies the transfer encodings the user agent is willing to accept.</dd>
 <dt>{{HTTPHeader("Trailer")}}</dt>
 <dd>Allows the sender to include additional fields at the end of chunked message.</dd>
</dl>

<h2 id="WebSockets">WebSockets</h2>

<dl>
 <dt>{{HTTPHeader("Sec-WebSocket-Key")}}</dt>
 <dd>...</dd>
 <dt>{{HTTPHeader("Sec-WebSocket-Extensions")}}</dt>
 <dd>...</dd>
 <dt>{{HTTPHeader("Sec-WebSocket-Accept")}}</dt>
 <dd>...</dd>
 <dt>{{HTTPHeader("Sec-WebSocket-Protocol")}}</dt>
 <dd>...</dd>
 <dt>{{HTTPHeader("Sec-WebSocket-Version")}}</dt>
 <dd>...</dd>
</dl>

<h2 id="Other">Other</h2>

<dl>
 <dt>{{HTTPHeader("Accept-Push-Policy")}} {{experimental_inline}}</dt>
 <dd>A client can express the desired push policy for a request by sending an <code><a href="https://tools.ietf.org/html/draft-ruellan-http-accept-push-policy-00#section-3.1">Accept-Push-Policy</a></code> header field in the request.</dd>
 <dt>{{HTTPHeader("Accept-Signature")}} {{experimental_inline}}</dt>
 <dd>A client can send the <code><a href="https://wicg.github.io/webpackage/draft-yasskin-http-origin-signed-responses.html#rfc.section.3.7">Accept-Signature</a></code> header field to indicate intention to take advantage of any available signatures and to indicate what kinds of signatures it supports.</dd>
 <dt>{{HTTPHeader("Alt-Svc")}}</dt>
 <dd>Used to list alternate ways to reach this service.</dd>
 <dt>{{HTTPHeader("Date")}}</dt>
 <dd>Contains the date and time at which the message was originated.</dd>
 <dt>{{HTTPHeader("Large-Allocation")}}</dt>
 <dd>Tells the browser that the page being loaded is going to want to perform a large allocation.</dd>
 <dt>{{HTTPHeader("Link")}}</dt>
 <dd>The <code><a href="https://tools.ietf.org/html/rfc5988#section-5">Link</a></code> entity-header field provides a means for serialising one or more links in HTTP headers. It is semantically equivalent to the HTML {{HTMLElement("link")}} element.</dd>
 <dt>{{HTTPHeader("Push-Policy")}} {{experimental_inline}}</dt>
 <dd>A <code><a href="https://tools.ietf.org/html/draft-ruellan-http-accept-push-policy-00#section-3.2">Push-Policy</a></code> defines the server behaviour regarding push when processing a request.</dd>
 <dt>{{HTTPHeader("Retry-After")}}</dt>
 <dd>Indicates how long the user agent should wait before making a follow-up request.</dd>
 <dt>{{HTTPHeader("Signature")}} {{experimental_inline}}</dt>
 <dd>The <code><a href="https://wicg.github.io/webpackage/draft-yasskin-http-origin-signed-responses.html#rfc.section.3.1">Signature</a></code> header field conveys a list of signatures for an exchange, each one accompanied by information about how to determine the authority of and refresh that signature.</dd>
 <dt>{{HTTPHeader("Signed-Headers")}} {{experimental_inline}}</dt>
 <dd>The <code><a href="https://wicg.github.io/webpackage/draft-yasskin-http-origin-signed-responses.html#rfc.section.5.1.2">Signed-Headers</a></code> header field identifies an ordered list of response header fields to include in a signature.</dd>
 <dt>{{HTTPHeader("Server-Timing")}}</dt>
 <dd>Communicates one or more metrics and descriptions for the given request-response cycle.</dd>
 <dt>{{HTTPHeader("Service-Worker-Allowed")}}</dt>
 <dd>Used to remove the <a href="https://w3c.github.io/ServiceWorker/#path-restriction">path restriction</a> by including this header <a href="https://w3c.github.io/ServiceWorker/#service-worker-script-response">in the response of the Service Worker script</a>.</dd>
 <dt>{{HTTPHeader("SourceMap")}}</dt>
 <dd>Links generated code to a <a href="/en-US/docs/Tools/Debugger/How_to/Use_a_source_map">source map</a>.</dd>
 <dt>{{HTTPHeader("Upgrade")}}</dt>
 <dd>The relevant RFC document for the <a href="https://tools.ietf.org/html/rfc7230#section-6.7">Upgrade header field is RFC 7230, section 6.7</a>. The standard establishes rules for upgrading or changing to a different protocol on the current client, server, transport protocol connection. For example, this header standard allows a client to change from HTTP 1.1 to HTTP 2.0, assuming the server decides to acknowledge and implement the Upgrade header field. Neither party is required to accept the terms specified in the Upgrade header field. It can be used in both client and server headers. If the Upgrade header field is specified, then the sender MUST also send the Connection header field with the upgrade option specified. For details on the Connection header field <a href="https://tools.ietf.org/html/rfc7230#section-6.1">please see section 6.1 of the aforementioned RFC</a>.</dd>
 <dt>{{HTTPHeader("X-DNS-Prefetch-Control")}}</dt>
 <dd>Controls DNS prefetching, a feature by which browsers proactively perform domain name resolution on both links that the user may choose to follow as well as URLs for items referenced by the document, including images, CSS, JavaScript, and so forth.</dd>
 <dt>{{HTTPHeader("X-Firefox-Spdy")}} {{deprecated_inline}} {{non-standard_inline}}</dt>
 <dd>...</dd>
 <dt>{{HTTPHeader("X-Pingback")}} {{non-standard_inline}}</dt>
 <dd>...</dd>
 <dt>{{HTTPHeader("X-Requested-With")}}</dt>
 <dd>...</dd>
 <dt>{{HTTPHeader("X-Robots-Tag")}}{{non-standard_inline}}</dt>
 <dd>The <code><a href="https://developers.google.com/search/reference/robots_meta_tag#xrobotstag">X-Robots-Tag</a></code> HTTP header is used to indicate how a web page is to be indexed within public search engine results. The header is effectively equivalent to <code>&lt;meta name="robots" content="..."&gt;</code>.</dd>
 <dt>{{HTTPHeader("X-UA-Compatible")}} {{non-standard_inline}}</dt>
 <dd>Used by Internet Explorer to signal which document mode to use.</dd>
</dl>

<h2 id="Contributing">Contributing</h2>

<p>You can help by <a href="/en-US/docs/MDN/Contribute/Howto/Document_an_HTTP_header">writing new entries</a> or improving the existing ones.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://en.wikipedia.org/wiki/List_of_HTTP_header_fields">Wikipedia page on List of HTTP headers</a></li>
 <li><a href="https://www.iana.org/assignments/message-headers/perm-headers.html">IANA registry</a></li>
 <li><a href="https://httpwg.org/specs/">HTTP Working Group</a></li>
</ul>
